Bug 194807 - [patch] dns/powerdns-recursor: update to 3.6.2
Summary: [patch] dns/powerdns-recursor: update to 3.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-04 09:22 UTC by Ralf van der Enden
Modified: 2014-11-24 08:58 UTC (History)
2 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
Update to powerdns-recursor 3.6.2 (1.73 KB, patch)
2014-11-04 09:22 UTC, Ralf van der Enden
no flags Details | Diff
powerdns-recursor-3.6.2 build log (34.28 KB, text/plain)
2014-11-04 10:24 UTC, Ralf van der Enden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2014-11-04 09:22:57 UTC
Created attachment 149020 [details]
Update to powerdns-recursor 3.6.2

Update to PowerDNS Recursor 3.6.2
- This is a bugfix release
Changelog: http://doc.powerdns.com/html/changelog.html#changelog-recursor-3.6.2

Removed file(s): files/patch-rec_channel.hh (no longer necessary; fixed upstream)
Comment 1 Bugzilla Automation freebsd_committer 2014-11-04 09:22:57 UTC
Maintainer CC'd
Comment 2 Ralf van der Enden 2014-11-04 10:24:59 UTC
Created attachment 149022 [details]
powerdns-recursor-3.6.2 build log
Comment 3 sten 2014-11-04 10:34:50 UTC
Looks good to me.
Comment 4 John Marino freebsd_committer 2014-11-14 12:17:35 UTC
I'm promoting this maintainer-approved patch.
The log is missing stage-qa checks though.
Comment 5 Bartek Rutkowski freebsd_committer 2014-11-15 21:11:27 UTC
Hi,

After applying the patch, it fails to build on patching stage, like that: http://pd.valinor.palantiri.org/data/11amd64-default/2014-11-15_22h04m17s/logs/errors/powerdns-recursor-3.6.2.log

Any chance you could update your ports tree, apply your patch and verify my findings?

Kind regards,
Bartek Rutkowski
Comment 6 Ralf van der Enden 2014-11-16 12:56:54 UTC
My patch should empty files/patch-rec_channel.hh. It's no longer required, since it was fixed upstream. It fails because the patch leaves an empty file.
Comment 7 commit-hook freebsd_committer 2014-11-19 11:57:59 UTC
A commit references this bug:

Author: robak
Date: Wed Nov 19 11:57:08 UTC 2014
New revision: 372769
URL: https://svnweb.freebsd.org/changeset/ports/372769

Log:
  dns/powerdns-recursor: update 3.6.2 -> 3.6.2

  PR:		194807
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	mentors (implicit)

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-rec_channel.hh
Comment 8 Bartek Rutkowski freebsd_committer 2014-11-19 11:58:23 UTC
Committed, thanks for your work!